#include <stdio.h>
int main()
{
	char c1,c2;
	int a1,a2,br=0;
	scanf("%c %c",&c1,&c2);
	scanf("%d %d",&a1,&a2);
	if(a1!=a2)
	{
		printf("Nemoguce");
	}
	else
	{
		while(br!=a2)
		{
			printf("%c%c",c1,c2);
			br++;
		}
	}
	return 0;
}